eoVlDelMutation(3)

NAME
eoVlDelMutation - Deletion of a gene By default at a random position, but a 'chooser' can be specified can of course be applied to both order-dependent and order-independent.

SYNOPSIS

#include <eoVariableLengthMutation.h>

Inherits eoMonOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoVlDelMutation (unsigned _nMin, eoGeneDelChooser< EOT > &_chooser)
ctor with an external gene chooser
eoVlDelMutation (unsigned _nMin)
ctor with uniform gene chooser - the default
bool operator() (EOT &_eo)
Do the job (delete one gene).
virtual std::string className () const

  Private Attributes
unsigned nMin
eoUniformGeneChooser< EOT > uChooser
eoGeneDelChooser< EOT > & chooser

Detailed Description

  template<class EOT> class eoVlDelMutation< EOT >
Deletion of a gene By default at a random position, but a 'chooser' can be specified can of course be applied to both order-dependent and order-independent.

Definition at line 110 of file eoVariableLengthMutation.h.

Constructor & Destructor Documentation

  template<class EOT> eoVlDelMutation< EOT >::eoVlDelMutation (unsigned _nMin, eoGeneDelChooser< EOT > & _chooser) [inline]

ctor with an external gene chooser

Parameters:
    nMin min number of atoms to leave in the individual
    _geneChooser an eoGeneCHooser to choose which one to delete

Definition at line 121 of file eoVariableLengthMutation.h.

  template<class EOT> eoVlDelMutation< EOT >::eoVlDelMutation (unsigned _nMin) [inline]

ctor with uniform gene chooser - the default

Parameters:
    nMin min number of atoms to leave in the individual

Definition at line 128 of file eoVariableLengthMutation.h.

Member Function Documentation

  template<class EOT> bool eoVlDelMutation< EOT >::operator() (EOT & _eo) [inline, virtual]

Do the job (delete one gene).

Parameters:
    _eo the EO to mutate

Implements eoUF< EOT &, bool >.

Definition at line 134 of file eoVariableLengthMutation.h.

Author

Generated automatically by Doxygen for EO from the source code.